from parallels.core.utils.entity import Entity


class SubscriptionSourceInfo(Entity):
    def __init__(self, name, name_canonical, plan, addon_plans, reseller, customer):
        self._name = name
        self._name_canonical = name_canonical
        self._plan = plan
        self._addon_plans = addon_plans
        self._reseller = reseller
        self._customer = customer

    @property
    def name(self):
        return self._name

    @property
    def name_canonical(self):
        return self._name_canonical

    @property
    def plan(self):
        return self._plan

    @property
    def addon_plans(self):
        return self._addon_plans

    @property
    def reseller(self):
        return self._reseller

    @property
    def customer(self):
        return self._customer
